## ros-iron-plansys2-problem-expert 2.0.11

=== CMakeLists.txt ===
project(plansys2_problem_expert)

cmake_minimum_required(VERSION 3.5)

find_package(ament_cmake REQUIRED)
find_package(rclcpp REQUIRED)
find_package(rclcpp_action REQUIRED)
find_package(rclcpp_lifecycle REQUIRED)
find_package(ament_index_cpp REQUIRED)
find_package(plansys2_pddl_parser REQUIRED)
find_package(plansys2_core REQUIRED)
find_package(plansys2_msgs REQUIRED)
find_package(plansys2_domain_expert REQUIRED)
find_package(std_msgs REQUIRED)
find_package(lifecycle_msgs REQUIRED)

set(CMAKE_CXX_STANDARD 17)

set(dependencies
    rclcpp
    rclcpp_action
    rclcpp_lifecycle
    plansys2_pddl_parser
    ament_index_cpp
    plansys2_core
    plansys2_msgs
    plansys2_domain_expert
    std_msgs
    lifecycle_msgs
)

include_directories(include)

set(PROBLEM_EXPERT_SOURCES
  src/plansys2_problem_expert/ProblemExpert.cpp
  src/plansys2_problem_expert/ProblemExpertClient.cpp
  src/plansys2_problem_expert/ProblemExpertNode.cpp
  src/plansys2_problem_expert/Utils.cpp
)

add_library(${PROJECT_NAME} SHARED ${PROBLEM_EXPERT_SOURCES})
ament_target_dependencies(${PROJECT_NAME} ${dependencies})

add_executable(problem_expert_node
  src/problem_expert_node.cpp
)
ament_target_dependencies(problem_expert_node ${dependencies})
target_link_libraries(problem_expert_node ${PROJECT_NAME})

install(DIRECTORY include/
  DESTINATION include/
)

install(DIRECTORY launch DESTINATION share/${PROJECT_NAME})

install(TARGETS
  ${PROJECT_NAME}
  problem_expert_node
  ARCHIVE DESTINATION lib
  LIBRARY DESTINATION lib
  RUNTIME DESTINATION lib/${PROJECT_NAME}
)

if(BUILD_TESTING)
  find_package(ament_lint_auto REQUIRED)
  ament_lint_auto_find_test_dependencies()

  find_package(ament_cmake_gtest REQUIRED)
  add_subdirectory(test)
endif()

ament_export_include_directories(include)
ament_export_libraries(${PROJECT_NAME})
ament_export_dependencies(${dependencies})

ament_package()

=== debian/changelog ===
ros-iron-plansys2-problem-expert (2.0.11-1jammy) jammy; urgency=high



 -- Francisco Martin Rico <fmrico@gmail.com>  Tue, 01 Aug 2023 22:00:00 -0000

ros-iron-plansys2-problem-expert (2.0.10-1jammy) jammy; urgency=high

  * Merge remote-tracking branch 'origin/humble-devel'
  * Merge pull request #238 <https://github.com/PlanSys2/ros2_planning_system/issues/238> from roveri-marco/fix_goal_structure_issue_205
    Fix goal structure issue 205
  * Merge remote-tracking branch 'origin/master' into fix_goal_structure_issue_205
  * Minor changes to the tests to comply with some change in the generated output
  * Fixed some errors and some tests to comply with the revised output
  * Merge branch 'master' into bt-builder-plugins
  * Merge pull request #242 <https://github.com/PlanSys2/ros2_planning_system/issues/242> from PlanSys2/duplicate_instances
    Duplicate instances
  * Fix typo
  * Check instance types and associated tests
  * Merge pull request #235 <https://github.com/PlanSys2/ros2_planning_system/issues/235> from MostafaGomaa/problem_expert/Fix_InvalidInstance
    [problem_expert] AddInstance successeeds if instance already exists
  * Merge remote-tracking branch 'origin/master' into fix_goal_structure_issue_205
  * Fixed support for the complex goal parsing both from the terminal and from file
  * [problem_expert] AddInstance successeeds if instance already exists
  * Merge remote-tracking branch 'upstream/master'
  * Contributors: Francisco Martín Rico, Marco Roveri, Mostafa Gomaa, Splinter1984

 -- Francisco Martin Rico <fmrico@gmail.com>  Sun, 16 Jul 2023 22:00:00 -0000

ros-iron-plansys2-problem-expert (2.0.9-1jammy) jammy; urgency=high

  * Humble Upgrade
  * Fix possible bug https://github.com/ros2/rclcpp/issues/1968
  * Contributors: Francisco Martín Rico

 -- Francisco Martin Rico <fmrico@gmail.com>  Sat, 09 Jul 2022 22:00:00 -0000

ros-iron-plansys2-problem-expert (2.0.8-1jammy) jammy; urgency=high



 -- Francisco Martin Rico <fmrico@gmail.com>  Tue, 03 May 2022 22:00:00 -0000

ros-iron-plansys2-problem-expert (2.0.7-1jammy) jammy; urgency=high



 -- Francisco Martin Rico <fmrico@gmail.com>  Tue, 03 May 2022 22:00:00 -0000

ros-iron-plansys2-problem-expert (2.0.6-1jammy) jammy; urgency=high



 -- Francisco Martin Rico <fmrico@gmail.com>  Mon, 02 May 2022 22:00:00 -0000

ros-iron-plansys2-problem-expert (2.0.5-1jammy) jammy; urgency=high

  * Fix ROS2 Buildfarm error due to Threads
  * Contributors: Francisco Martín Rico, Jake Keller

 -- Francisco Martin Rico <fmrico@gmail.com>  Mon, 02 May 2022 22:00:00 -0000

ros-iron-plansys2-problem-expert (2.0.4-1jammy) jammy; urgency=high

  * Fix version
  * Fix ROS2 Buildfarm error due to Threads
  * Merge branch 'IntelligentRoboticsLabs:master' into master
  * Contributors: Francisco Martín Rico, Jake Keller

 -- Francisco Martin Rico <fmrico@gmail.com>  Mon, 02 May 2022 22:00:00 -0000

ros-iron-plansys2-problem-expert (2.0.3-1jammy) jammy; urgency=high

  * Fix conflicts
  * Qt5 dependencies
  * Contributors: Francisco Martín Rico

 -- Francisco Martin Rico <fmrico@gmail.com>  Sat, 02 Apr 2022 22:00:00 -0000

ros-iron-plansys2-problem-expert (2.0.2-1jammy) jammy; urgency=high

  * Full supportr for (= _ _) PDDL constraints, added possibility to refer to constants, added initial test cases
  * set_decimal_precision: Use std::setprecision to avoid incompatible scientific notation.
  * [problem_expert] clearGoal on clearing knowledge
  * [problem_expert] test constants parsing as part of problem
  * [problem_expert] add constants as instances while parsing problem.pddl
  * Contributors: Francisco Martín Rico, Jake Keller, Josh Zapf, Marco Roveri, Mostafa Gomaa

 -- Francisco Martin Rico <fmrico@gmail.com>  Sat, 02 Apr 2022 22:00:00 -0000

ros-iron-plansys2-problem-expert (2.0.1-1jammy) jammy; urgency=high

  * Update deprecated APIs in launchers and parameters
  * get-domain-name: Added service for retrieving domain name. Concatenating domain names when using multiple domains.
  * Update launcher param names
  * remove-invalid-goals: Removing invalid goals when instances are removed. Keep track of update time in problem expert.
  * Merge galactic-devel
  * Contributors: Francisco Martín Rico, Josh Zapf

 -- Francisco Martin Rico <fmrico@gmail.com>  Wed, 02 Feb 2022 23:00:00 -0000

ros-iron-plansys2-problem-expert (2.0.0-1jammy) jammy; urgency=high

  * Compile for ROS2 Galactic
  * Contributors: Francisco Martín Rico, Jonatan Olofsson

 -- Francisco Martin Rico <fmrico@gmail.com>  Sat, 03 Jul 2021 22:00:00 -0000

ros-iron-plansys2-problem-expert (1.0.10-1jammy) jammy; urgency=high

  * Remove node parameter in client constructors
  * Adding comments specifying how the syntax is wrong in unexpected_syntax problem file.
  * Adding unit tests for new functions in plansys2_problem_expert.
  * Add ability to read in pddl problem files to plansys2 and a new AddProblem service to the plansys2_problem_expert.
    Adding problem_file node parameter to plansys2_problem_expert to load a single problem file at launch.
  * ros2-plan-msg: Adding functions to plansys2_msgs/Knowledge message.
  * pddl-tree-messages: Deleting unused function declarations. Adding explicit specifier to single param constructors in plansys2_core/Types.hpp.
  * Suggestion for #118 <https://github.com/IntelligentRoboticsLabs/ros2_planning_system/issues/118>
  * pddl-tree-messages: Extending action string parsing utilities in plansys2_problem_expert/Utils.cpp.
  * pddl-tree-messages: Performing some minor cleanup.
  * pddl-tree-messages: Using explicit specifier for single parameter constructors in plansys2_core/Types.hpp.
  * pddl-tree-messages: Replacing user access function calls with shorter versions where possible.
  * pddl-tree-messages: Adding user access functions to domain expert client.
  * pddl-tree-messages: Adding goal user access functions to problem expert client.
  * pddl-tree-messages: Adding predicate user access functions to problem expert client.


=== debian/control ===
Source: ros-iron-plansys2-problem-expert
Section: misc
Priority: optional
Maintainer: Francisco Martin Rico <fmrico@gmail.com>
Build-Depends: debhelper (>= 9.0.0), qtbase5-dev, ros-iron-ament-cmake, ros-iron-ament-cmake-gtest <!nocheck>, ros-iron-ament-index-cpp, ros-iron-ament-lint-auto <!nocheck>, ros-iron-ament-lint-common <!nocheck>, ros-iron-lifecycle-msgs, ros-iron-plansys2-domain-expert, ros-iron-plansys2-msgs, ros-iron-plansys2-pddl-parser, ros-iron-rclcpp, ros-iron-rclcpp-action, ros-iron-rclcpp-lifecycle, ros-iron-std-msgs, ros-iron-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-iron-plansys2-problem-expert
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libqt5core5a, libqt5gui5, libqt5widgets5, ros-iron-ament-index-cpp, ros-iron-lifecycle-msgs, ros-iron-plansys2-domain-expert, ros-iron-plansys2-msgs, ros-iron-plansys2-pddl-parser, ros-iron-rclcpp, ros-iron-rclcpp-action, ros-iron-rclcpp-lifecycle, ros-iron-std-msgs, ros-iron-ros-workspace
Description: This package contains the Problem Expert module for the ROS2 Planning System

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/iron/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/iron/setup.sh" ]; then . "/opt/ros/iron/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/iron" \
		-DAMENT_PREFIX_PATH="/opt/ros/iron" \
		-DCMAKE_PREFIX_PATH="/opt/ros/iron" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/iron/setup.sh" ]; then . "/opt/ros/iron/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/iron/setup.sh" ]; then . "/opt/ros/iron/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/iron/setup.sh" ]; then . "/opt/ros/iron/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-iron-plansys2-problem-expert//opt/ros/iron/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/iron/setup.sh" ]; then . "/opt/ros/iron/setup.sh"; fi && \
	dh_auto_install
